<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE xsl:stylesheet  [
        <!ENTITY nbsp   "&#160;">
        <!ENTITY copy   "&#169;">
        <!ENTITY reg    "&#174;">
        <!ENTITY trade  "&#8482;">
        <!ENTITY mdash  "&#8212;">
        <!ENTITY ldquo  "&#8220;">
        <!ENTITY rdquo  "&#8221;">
        <!ENTITY pound  "&#163;">
        <!ENTITY yen    "&#165;">
        <!ENTITY euro   "&#8364;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:url="http://www.jclark.com/xt/java/java.net.URLEncoder">
<xsl:output method="html" encoding="UTF-8"/>
<xsl:param name="bLoggedInUser"/>
<xsl:template match="/">

<table width="100%" border="0" cellpadding="0" cellspacing="0" id="header">
<tr><td><img src="/design_images/roundedCorners_01.jpg" class="corner"/></td><td align="right" valign="top"><img src="/design_images/roundedCorners_03.jpg"  class="corner"/></td>
</tr>
  <tr>
    <td width="150" align="left" valign="top" class="headerMainCellLeft"><img src="/design_images/logo.jpg" width="333" height="55" /></td>
    <td height="60" align="right" valign="middle" class="headerMainCellRight"><form action="SearchResults_1.jsp" method="post" name="search" id="search">
      <input name="Desc" type="hidden" id="Desc"  value="on"/>
      <input name="NAME" type="text" id="NAME" value="Search" size="14" onfocus="this.value=''" onblur="if(this.value='')this.value='Search'"/>
      <input type="submit" name="Submit" value="Go" class="gobutton"/>
    </form></td>
  </tr>
  </table>
  <table width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="25" colspan="2" align="center"> <table width="100%" id="headerMenuCell">
      <tr><td height="25">
	<ul id="menu_top">
        <li><a href="/Home.jsp?refresh=true">Home</a></li>
        <xsl:for-each select="IAMMetaRS/IAMStoreMenu/Category">
                <xsl:param name="myLink" select="./Name"/> 
              <li><a href="/CategoryProductList.jsp?cat={url:encode(string(./Name),string('UTF-8'))}"><xsl:value-of select="./Name"/></a>
                <xsl:if test="normalize-space(./Category)">
                        <ul style="display:none">
                        <xsl:for-each select="./Category">
                                <li><a href="/CategoryProductList.jsp?cat={url:encode(string(../Name),string('UTF-8'))}:{url:encode(string(./Name),string('UTF-8'))}"><xsl:value-of select="./Name"/></a>
                                    <xsl:if test="normalize-space(./Category)">
                                            <ul style="display:none">
                                            <xsl:for-each select="./Category">
                                                    <li><a href="/CategoryProductList.jsp?cat={url:encode(string($myLink),string('UTF-8'))}:{url:encode(string(../Name),string('UTF-8'))}:{url:encode(string(./Name),string('UTF-8'))}"><xsl:value-of select="./Name"/></a></li>
                                            </xsl:for-each>
                                            </ul>
                                    </xsl:if>
                          </li>
                        </xsl:for-each>
                        </ul>
                </xsl:if>
                </li>
        </xsl:for-each>
        <li><a href="/WSWrapper.jsp?mypage=StoreContactUs.htm">Contact Us</a></li>
		</ul>
       </td></tr></table>
        <!-- end account menu -->        </td>
  </tr>
</table>

<div id="cartSummary" name="cartSummary" style="display:none">
<table border="0" cellpadding="0" cellspacing="0" id="cartTableSmall">
<tr><td>&nbsp;</td><td align="left">Items in Cart:</td><td align="right"><xsl:value-of select="count(//CartInfo/Item)"/></td>
</tr>
<tr><td>&nbsp;</td><td align="left">Cart Total:</td><td align="right">$<xsl:value-of select="//CartInfo/CartTotal"/></td>
</tr>

<tr><td>&nbsp;</td><td align="left"><a href="/ViewCart.jsp?action=edit"></a></td>
  <td align="left"><a href="/ViewCart.jsp?action=edit">View Cart<br />
    <br />
  </a></td>
</tr>
</table>
</div>

</xsl:template>
</xsl:stylesheet>