<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
]>
<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
 xmlns:url="http://www.jclark.com/xt/java/java.net.URLEncoder">
<xsl:output method="html" encoding="UTF-8"/>
<xsl:param name="Message"/>
<xsl:template match="/">

<h1>Shopping Cart</h1>
	
    <div align="center"><span class="error"><xsl:value-of select="$Message" disable-output-escaping="yes"/></span><br/>
	<form name="form1" method="post" action="ViewCart.jsp?action=editCart">
      <table id="shoppingcart" border="0" cellpadding="0" cellspacing="0" width="100%">
      <tbody><tr>

        <td class="tblhead" ><div align="center">Image </div></td>
        <td class="tblhead" ><div align="center">Name / Desc </div></td>
        <td class="tblhead" ><div align="center">Quantity</div></td>
        <td class="tblhead" ><div align="center">Price</div></td>
        </tr>
    <xsl:for-each select="IAMMetaRS/CartInfo/Item">
      <tr bgcolor="#ffffff">
        <td align="center">
        <xsl:if test="normalize-space(./ItemImageThumb)"><a href="/SPD/{translate(./Name,' %/&quot;.;&amp;:,!()ABCDEFGHIJKLMNOPQRSTUVWXYZ','------------abcdefghijklmnopqrstuvwxyz')}--{./ListID}.jsp"><img src="/product_images/{./ItemImageThumb}" border="0" alt="{./DisplayDesc}" class="reflect"/></a><br/>
        </xsl:if>
        </td><td>
        <input name="ItemListID" value="{ListID}" type="hidden"/>
        <a href="/SPD/{translate(./Name,' %/&quot;.;&amp;:,!()ABCDEFGHIJKLMNOPQRSTUVWXYZ','------------abcdefghijklmnopqrstuvwxyz')}--{./ListID}.jsp"><xsl:value-of select="./Name"/></a><br />
<xsl:value-of select="./Desc"/>
        <br/>
        </td>
        <td align="center"><input name="Qty" size="4" maxlength="8" value="{Quantity}" type="text"/></td>
        <td align="right"><xsl:choose>
        <xsl:when test="./RegularPrice &gt; ./CustomerPrice">
        Reg Price: $<xsl:value-of select="./RegularPrice"/>&nbsp;&nbsp;
        <br/>Your Price: $<xsl:value-of select="./CustomerPrice"/>&nbsp;&nbsp;
        </xsl:when>
        <xsl:otherwise>
        $<xsl:value-of select="./CustomerPrice"/>&nbsp;&nbsp;
        </xsl:otherwise>
        </xsl:choose>
        </td>
        </tr>
    </xsl:for-each>
<tr>
<td class="tblhead tblfoot" colspan="1">To remove items, set qty to 0<br/>and click update cart

</td>
<td class="tblhead tblfoot" colspan="2"><div align="center"><input name="Submit2" value="Update Cart" class="submit" type="submit"/></div></td>
  <td class="tblhead tblfoot" colspan="1"><div align="right">Subtotal: $<xsl:value-of select="//CartTotal"/></div></td>

</tr>
      </tbody></table>
	</form>
     
<br />
<table width="100%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td align="center" valign="top"><table width="100%" border="0" cellpadding="2" cellspacing="0" id="shippingRateLookup">
      <tr>
        <td class="tblhead" colspan="3" >
          Check Shipping Rates:</td></tr>
          <tr>
          <td><form id="frmSC" name="frmSC" method="get" action="ShippingRateCheck.jsp" >
          <input type="text" size="15" name="zip" id="zip" value=" Enter Postal Code" onclick="this.value=''"/>
            <input type="submit" name="submitSC"  id="submitSC" value="Go" />
          </form>
        </td>
      </tr>
    </table></td>
    <td align="center" valign="top"><table width="100%" border="0" cellpadding="2" cellspacing="0" id="coupon">
      <tbody>
        <tr>
          <td class="tblhead" >Apply Coupon Code:</td>
        </tr>
        <tr>
          <td><form name="cp" action="EnterCoupon.jsp" method="post">
<input name="coupon" type="text" value="Enter Coupon Code" onclick="this.value=''"/>
              <input name="addcoupon" value="true" type="hidden" /><input value="Apply" name="Submit" class="submit" type="submit"/>
          </form></td>
        </tr>
       
      </tbody>
    </table></td>
  </tr>
</table>
<br />

 <p>
		<xsl:if test="normalize-space(//LastCategory)"><a href="CategoryProductList.jsp?cat={url:encode(string(//LastCategory),string('UTF-8'))}" id="linkContinueShopping" class="checkoutProgressLink">&lt; Continue Shopping</a>		
        &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
        </xsl:if>
		 <a href="Checkout.jsp" id="linkCheckout" class="checkoutProgressLink">Check Out &gt;</a></p>
<br />



    </div>

</xsl:template>
</xsl:stylesheet>