<?xml version="1.0" encoding="UTF-8" ?> 
      
<!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;">
	<!ENTITY rsquo  "&#8217;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
	<!ENTITY amp    "&#38;">
	<!ENTITY quot   "&#34;">
	<!ENTITY deg	"&#176;">
]>


<xsl:stylesheet version="1.0"  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
 xmlns:url="http://www.jclark.com/xt/java/java.net.URLEncoder" > 
        <xsl:output method="html" encoding="UTF-8" /> 
        <xsl:param name="bLoggedInUser"/> 
        <xsl:param name="WSMenuStyle"/> 
		<xsl:param name="CatTop"/>
		<xsl:param name="CatSub"/>
		<xsl:param name="CatFull"/>
        <xsl:strip-space elements="..."/> 
        <xsl:preserve-space elements="..."/> 
        <!-- template rule matching source root element --> 
        <xsl:template match="/"> 

		<div id="accordion"> 
            
          <h3 class="toggler atStart">My Cart</h3>
          <div class="element atStart" id="leftCartSummary">
           	&nbsp;
          </div>
      
              
		 <h3 class="toggler atStart">My Account</h3>
              <div class="element atStart">
                  <xsl:choose> 
                    <xsl:when test="boolean($bLoggedInUser='false')"> 
                      <form action="https://design3.iamodules.net/SignIn.jsp" method="POST" name="SignIn">
        <table width="100%" border="0" cellpadding="2" cellspacing="0" id="leftSignIn">
          <tr>
            <td>Username:</td>
            <td><input name="uname" type="text" id="uname" size="8"/></td>
          </tr>
          <tr>
            <td>Password:</td>
            <td><input name="pword" type="password" id="pword" size="8"/></td>
          </tr>
          <tr>
            <td>&nbsp;</td>
            <td>
              <input type="submit" name="Submit2" value="Login"/><br />
			<a href="/Forgot.jsp">Forgot Password</a><br />
              <a href="/StoreCustomerDetail.jsp?action=create">Create Account</a></td>
          </tr>
        </table>
    </form>
                    </xsl:when> 
                    <xsl:otherwise> 
                      <p>Welcome <xsl:value-of select="$bLoggedInUser"/>!<br />
						<a href="/StoreCustomerDetail.jsp?action=edit">Account Details</a><br />
                        <a href="/CustomerAccountHistory.jsp">Account History</a><br />
                        <a href="/Saved.jsp">Saved Carts</a><br />
                      	<a href="/StoreLogout.jsp">Logout</a><br />
                      </p>
                    </xsl:otherwise> 
                  </xsl:choose> 
   		  </div>
                  
		</div>
				
      </xsl:template> 
</xsl:stylesheet>